Changesets
Approve a change set's plan
FAILED_PRECONDITION when plan_digest is not the revision's current plan.
Scope: changeset:write
Authorization
bearerAuth AuthorizationBearer <token>
Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer admp_...
In: header
Path Parameters
change_set_id*change_set_id
The change_set_id path parameter.
Match
^cs-[0-9a-z]{12}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/changesets/string/approve" \ -H "Content-Type: application/json" \ -d '{ "revision": 1, "plan_digest": "string" }'{ "approval": { "revision": 0, "plan_digest": "string", "approved_by": { "id": "string", "display_name": "string", "email": "string" }, "self_approval": true, "reason": "string", "approved_at": "2023-01-15T01:30:15.01Z" }}Apply a change set POST
FAILED_PRECONDITION when the plan is not current or did not succeed, an approval is required and missing, the change set was cut from an older generation of the environment (rebase needed), or another change set holds the environment. Scope: `changeset:write`
Create a change set POST
Scope: `changeset:write`